import { patchFun, patchInit } from "../patch";

class Path{
    @patchFun
    async fun1(a:any) {
        //这里执行脚本的内容，加了patchFun的函数，不允许重复执行
        console.log("这是第1个脚本里内容");
        G.ioredis.del(`rank:kfjs1:data`);
        G.ioredis.del(`rank:kfjs2:data`);
        G.ioredis.del(`rank:kfjs3:data`);
        G.ioredis.del(`rank:kfjs4:data`);
        G.ioredis.del(`rank:kfjs5:data`);
        G.ioredis.del(`rank:kfjs6:data`);
        G.ioredis.del(`rank:kfjs7:data`);
        G.ioredis.del(`rank:slzd1:data`);
        G.ioredis.del(`rank:slzd2:data`);
        G.ioredis.del(`rank:slzd3:data`);
        G.ioredis.del(`rank:slzd4:data`);
        G.ioredis.del(`rank:slzd5:data`);
        G.ioredis.del(`rank:slzd6:data`);
        G.ioredis.del(`rank:qjzzd:data`);
        G.ioredis.del(`rank:tanxian:data`);
        G.ioredis.del(`rank:tujian:data`);
        G.ioredis.del(`rank:zccg:data`);
        G.ioredis.del(`rank:zhanli:data`);
        console.log("这是第1个脚本执行完成");
        return 12
    }

    async run(){
        await this.fun1(1);
    }
}

async function main(){
    await patchInit()
    let patch = new Path();
    await patch.run();
    console.log("逻辑执行完成，等待退出");
    setTimeout(function() {
        console.log('结束程序');
        process.exit();
    }, 3000);
}
main();
